Update a user
curl --request PATCH \
--url https://backendapi.corbado.io/v2/users/{userID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "Jane Doe",
"name": "<string>"
}
'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}"
payload = {
"fullName": "Jane Doe",
"name": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({fullName: 'Jane Doe', name: '<string>'})
};
fetch('https://backendapi.corbado.io/v2/users/{userID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userID": "usr-4693224802260150919",
"updated": "<string>",
"updatedMs": 123,
"fullName": "Jane Doe",
"explicitWebauthnID": "<string>"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Users
Update a user
Updates a user by given userID. For example, this can be used to modify the user’s status.
You can also manage users in the Developer Panel.
PATCH
/
users
/
{userID}
Update a user
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Body
application/json
Was this page helpful?
⌘I